path: /build/build/wezterm-x11-terms-20240203.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="X wayland" emerge x11-terms/wezterm -pv -t && \
    USE="X wayland" emerge -j ${JOBS} --nodeps x11-terms/wezterm
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/wezterm && luet-portage --dir /pkgdir/wezterm
    x11-terms/wezterm && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:afb55baa8b8ee42b81e111bb0c5561a5f4875f7cd93dc7dd82a83bd124e22849
  package:
    name: wezterm
    version: "20240203"
    category: x11-terms
    use_flags:
    - X
    - wayland
    requires:
    - name: macaroni-funtoo-race11
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A GPU-accelerated cross-platform terminal emulator and multiplexer
      written by @wez and implemented in Rust
    uri:
    - https://github.com/wez/wezterm
    license: Apache-2.0 Boost-1.0 BSD BSD-2 CC0-1.0 ISC LGPL-3+ MIT Apache-2.0 Unlicense
      ZLIB
    buildtimestamp: 2024-04-26 10:08:47.558174074 +0000 UTC m=+853.737023348
    labels:
      BDEPEND: dev-util/cmake dev-vcs/git virtual/pkgconfig virtual/rust >=virtual/rust-1.37.0
      DEPEND: dev-libs/openssl media-libs/fontconfig media-libs/mesa[X?,wayland?]
        x11-libs/libxkbcommon[X,wayland?] sys-apps/dbus wayland? ( dev-libs/wayland
        ) X? ( x11-themes/hicolor-icon-theme x11-libs/libX11 x11-libs/libxkbcommon
        x11-libs/libxcb:=[xkb] x11-libs/xcb-util x11-libs/xcb-util-image x11-libs/xcb-util-keysyms
        x11-libs/xcb-util-wm x11-themes/xcursor-themes )
      IUSE: wayland +X debug
      RDEPEND: dev-libs/openssl media-libs/fontconfig media-libs/mesa[X?,wayland?]
        x11-libs/libxkbcommon[X,wayland?] sys-apps/dbus wayland? ( dev-libs/wayland
        ) X? ( x11-themes/hicolor-icon-theme x11-libs/libX11 x11-libs/libxkbcommon
        x11-libs/libxcb:=[xkb] x11-libs/xcb-util x11-libs/xcb-util-image x11-libs/xcb-util-keysyms
        x11-libs/xcb-util-wm x11-themes/xcursor-themes )
      emerge.packages: x11-terms/wezterm
      kit: desktop-kit
      original.package.name: x11-terms/wezterm
      original.package.slot: "0"
      original.package.version: "20240203"
    treedir: /build/packages
  package_dir: /pkgdir/wezterm
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: abc43b3ee2f649e62d6605f126d6c06c4bc29195b16353862efa581c94acbe9a
compressiontype: zstd
files:
- usr/bin/strip-ansi-escapes
- usr/bin/wezterm
- usr/bin/wezterm-gui
- usr/bin/wezterm-mux-server
- usr/share/applications/org.wezfurlong.wezterm.desktop
- usr/share/bash-completion/completions/wezterm
- usr/share/fish/vendor_completions.d/fish
- usr/share/metainfo/org.wezfurlong.wezterm.appdata.xml
- usr/share/pixmaps/org.wezfurlong.wezterm.svg
- usr/share/zsh/site-functions/zsh
- var/db/pkg/x11-terms/wezterm-20240203/BDEPEND
- var/db/pkg/x11-terms/wezterm-20240203/BUILD_TIME
- var/db/pkg/x11-terms/wezterm-20240203/CATEGORY
- var/db/pkg/x11-terms/wezterm-20240203/CBUILD
- var/db/pkg/x11-terms/wezterm-20240203/CC
- var/db/pkg/x11-terms/wezterm-20240203/CFLAGS
- var/db/pkg/x11-terms/wezterm-20240203/CHOST
- var/db/pkg/x11-terms/wezterm-20240203/CONTENTS
- var/db/pkg/x11-terms/wezterm-20240203/COUNTER
- var/db/pkg/x11-terms/wezterm-20240203/CXXFLAGS
- var/db/pkg/x11-terms/wezterm-20240203/DEFINED_PHASES
- var/db/pkg/x11-terms/wezterm-20240203/DEPEND
- var/db/pkg/x11-terms/wezterm-20240203/DESCRIPTION
- var/db/pkg/x11-terms/wezterm-20240203/EAPI
- var/db/pkg/x11-terms/wezterm-20240203/FEATURES
- var/db/pkg/x11-terms/wezterm-20240203/HOMEPAGE
- var/db/pkg/x11-terms/wezterm-20240203/INHERITED
- var/db/pkg/x11-terms/wezterm-20240203/IUSE
- var/db/pkg/x11-terms/wezterm-20240203/IUSE_EFFECTIVE
- var/db/pkg/x11-terms/wezterm-20240203/KEYWORDS
- var/db/pkg/x11-terms/wezterm-20240203/LDFLAGS
- var/db/pkg/x11-terms/wezterm-20240203/LICENSE
- var/db/pkg/x11-terms/wezterm-20240203/NEEDED
- var/db/pkg/x11-terms/wezterm-20240203/PF
- var/db/pkg/x11-terms/wezterm-20240203/RDEPEND
- var/db/pkg/x11-terms/wezterm-20240203/REQUIRES
- var/db/pkg/x11-terms/wezterm-20240203/SIZE
- var/db/pkg/x11-terms/wezterm-20240203/SLOT
- var/db/pkg/x11-terms/wezterm-20240203/USE
- var/db/pkg/x11-terms/wezterm-20240203/environment.bz2
- var/db/pkg/x11-terms/wezterm-20240203/repository
- var/db/pkg/x11-terms/wezterm-20240203/wezterm-20240203.ebuild
package_cacheimage: ""
runtime:
  name: wezterm
  version: "20240203"
  category: x11-terms
  use_flags:
  - X
  - wayland
  requires:
  - name: openssl
    version: '>=0'
    category: dev-libs
  - name: wayland
    version: '>=0'
    category: dev-libs
  - name: fontconfig
    version: '>=0'
    category: media-libs-1.0
  - name: mesa
    version: '>=0'
    category: media-libs
  - name: dbus
    version: '>=0'
    category: sys-apps
  - name: libxkbcommon
    version: '>=0'
    category: x11-libs
  - name: xcb-util-image
    version: '>=0'
    category: x11-libs
  - name: xcb-util-keysyms
    version: '>=0'
    category: x11-libs
  - name: xcb-util-wm
    version: '>=0'
    category: x11-libs
  - name: hicolor-icon-theme
    version: '>=0'
    category: x11-themes
  - name: xcursor-themes
    version: '>=0'
    category: x11-themes
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A GPU-accelerated cross-platform terminal emulator and multiplexer
    written by @wez and implemented in Rust
  uri:
  - https://github.com/wez/wezterm
  license: Apache-2.0 Boost-1.0 BSD BSD-2 CC0-1.0 ISC LGPL-3+ MIT Apache-2.0 Unlicense
    ZLIB
  labels:
    BDEPEND: dev-util/cmake dev-vcs/git virtual/pkgconfig virtual/rust >=virtual/rust-1.37.0
    DEPEND: dev-libs/openssl media-libs/fontconfig media-libs/mesa[X?,wayland?] x11-libs/libxkbcommon[X,wayland?]
      sys-apps/dbus wayland? ( dev-libs/wayland ) X? ( x11-themes/hicolor-icon-theme
      x11-libs/libX11 x11-libs/libxkbcommon x11-libs/libxcb:=[xkb] x11-libs/xcb-util
      x11-libs/xcb-util-image x11-libs/xcb-util-keysyms x11-libs/xcb-util-wm x11-themes/xcursor-themes
      )
    IUSE: wayland +X debug
    RDEPEND: dev-libs/openssl media-libs/fontconfig media-libs/mesa[X?,wayland?] x11-libs/libxkbcommon[X,wayland?]
      sys-apps/dbus wayland? ( dev-libs/wayland ) X? ( x11-themes/hicolor-icon-theme
      x11-libs/libX11 x11-libs/libxkbcommon x11-libs/libxcb:=[xkb] x11-libs/xcb-util
      x11-libs/xcb-util-image x11-libs/xcb-util-keysyms x11-libs/xcb-util-wm x11-themes/xcursor-themes
      )
    emerge.packages: x11-terms/wezterm
    kit: desktop-kit
    original.package.name: x11-terms/wezterm
    original.package.slot: "0"
    original.package.version: "20240203"
